> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/knowledgebase/articles.md).

# Articles

Use these endpoints do create, retrieve, edit, and delete articles.

### Attributes&#x20;

| ATTRIBUTE     | TYPE        | DESCRIPTION                                                                          |
| ------------- | ----------- | ------------------------------------------------------------------------------------ |
| id            | Integer     | Specify the article Id                                                               |
| groupId       | JSON Object | <p>Specify the Id of the groups </p><p>to which the article belongs to</p>           |
| title         | String      | Specify the title of the article                                                     |
| description   | String      | Specify the description of the article                                               |
| content       | String      | Specify the html content of the article                                              |
| jsonContent   | JSON Object | <p>Specify the json content of the article</p><p> which has block and entity map</p> |
| articleSlug   | String      | Specify the key of the article                                                       |
| featuresImage | String      | Specify the image url of the article                                                 |
| updatedBy     | JSON Object | Specify the array of users who updated the article                                   |
| tags          | JSON Array  | Specify the tags related to the article                                              |
| dateCreated   | datetime    | Specify the date on which article created                                            |
| dateUpdated   | datetime    | Specify the date on which article updated                                            |
| status        | String      | Specify the status of the article                                                    |
| createdBy     | Integer     | Specify the userId of the person who created the article                             |

### **Permissions**

To request this endpoint you will need a valid API Key with the Knowledge Base access permissions enabled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.acquire.io/rest-apis/knowledgebase/articles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
